\name{assignEdgeWeights}
\alias{assignEdgeWeights}
\title{Assigns bootstrapped correlations as edge weights to a gene network.}
\description{Weights edges of a \code{computeGeneNetwork} object with bootstrapped Pearson correlations.}

\usage{
edge.weights <- assignEdgeWeights(microarray,
    geneNetwork,
    y = NULL,
    corRepeats = 100)
}
\arguments{
\item{microarray}{A microarray data.frame with columns labeled with gene names.}
\item{geneNetwork}{A gene network edge list as given by \code{\link{computeGeneNetwork}}.}
\item{y}{An optional factor of response labels for each microarray experiment.}
\item{corRepeats}{The number of times to bootstrap the correlation coefficient.  The correlations from each bootstrap are averaged to get a final correlation coefficient which is used to rank the gene-gene interactions.}
}
\value{
A matrix of edge weights, one column for each response label.
}
\details{
If a response variable \code{y} is specified \code{\link{assignEdgeWeights}} and \code{\link{pathRanker}} will compute the edge weights for each response label separately.

If there is less than 10 microarray experiments the bootstrapping option (\code{corRepeats}) will sample with replacement and artificially inflate the dataset to contain 10 observations.  To stop this set the corRepeats to 1.
}
\seealso{
\code{\link{getKEGG}}, \code{\link{computeGeneNetwork}}, \code{\link{pathRanker}}
}
\examples{
## See pathRanker help documentation for example useage
}
