\name{extractPathNetwork}
\alias{extractPathNetwork}
\title{Convert a weighted path list to a network.}
\description{Convert a weighted path list to a network.}

\usage{
extractPathNetwork(ypaths,feature = "pathway",pathweights = NULL,tol = 0.05)
}
\arguments{
\item{ypaths}{The paths extracted by \code{\link{pathRanker}}.}
\item{feature}{The metabolic feature over which the network will be built.  Options are "pathway","compound","reaction" and "gene".}
\item{pathweights}{If any specific path weights are to be used.  A \code{pathweight} of 0 removes that edge from the network construction.}
\item{tol}{A tolerance for \code{pathweight}. Any paths where \code{pathweight} is below \code{tol} will be removed from the analysis.}
}
\details{
An image of the edge probabilities (\code{theta}) computed by both HME3M and 3M models:
\tabular{ll}{
\code{edges} \tab The edge list for the extracted network \cr
\code{weights} \tab The final weight for each edge within the network. 
                    As each edge within the network can be observed in many paths.  This is the sum of all path weights where each edge was observed. \cr
\code{node.ann} \tab The names of each node.
}
}
\seealso{
\code{\link{pathRanker}}, \code{\link{plotPathNetwork}}
}

