\name{pathsToBinary}
\alias{pathsToBinary}
\title{Converts the result from pathRanker into something suitable for pathClassifier or pathCluster.}
\description{Converts the result from pathRanker into something suitable for pathClassifier or pathCluster.}

\usage{
pathsToBinary(ypaths)
}
\arguments{
\item{ypaths}{The result of \code{\link{pathRanker}}.}
}
\value{
A list where with the following elements,
\item{paths}{All paths within ypaths converted to a binary string and concatenated into the one matrix}
\item{y}{The response variable}
\item{pidx}{An matrix where each row specifies the location of that path within the \code{ypaths} object.}
} 
\details{
Converts a set of pathways from either \code{\link{pathClassifier}} or \code{\link{pathCluster}} into a list of binary pathway matrices.

If the pathways are grouped by a response label then the \emph{pathsToBinary} returns a list labeled by response class where each element is the binary pathway matrix for each class.

If the pathways are from \code{\link{pathRanker}} then a list wiht a single element containing the binary pathway matrix is returned.

To look up the structure of a specific binary path in the corresponding \code{ypaths} object simply use matrix index by calling \code{ypaths[[ybinpaths\$pidx[i,]]]}, where \code{i} is the row in the binary paths object you wish to reference.
}
\seealso{
\code{\link{pathRanker}}, \code{\link{pathClassifier}}, \code{\link{pathCluster}}
}
