\name{plotComponents}
\alias{plotComponents}
\title{Plot the main components of a HME3M or 3M model for easy comparision.}
\description{Plot the main components of a HME3M or 3M model for easy comparision.}

\usage{
plotComponents(fit,tol=0,cluster = TRUE)
}
\arguments{
\item{fit}{A pathway model trained by \code{\link{pathCluster}} or \code{\link{pathClassifier}}.}
\item{tol}{A threshold on the edge probability.  All edge probabilities below this threshold will be set to 0.}
\item{cluster}{Use hierarchical clustering on the components to aid interpretation.}
}
\details{
An image of the edge probabilities (\code{theta}) computed by both HME3M and 3M models:
\tabular{ll}{
\code{columns} \tab The \code{theta} for each component.  Red indicates a low probability, 
                    yellow a high probability and white a 0 probability. \cr
\code{left} \tab The genes included within the pathway.  Each gene is annotated by the substrate compound, reaction, product compound and KEGG pathway map within which it was observed.  Annotation colors indicate KEGG pathway groups. \cr

\code{right} \tab The GENE for each edge.
}
}
\seealso{
\code{\link{pathCluster}}, \code{\link{pathClassifier}}
}

