\name{plotPathClusterPath}
\alias{plotPathClusterPath}
\title{Plots the structure of specified path found by pathCluster.}
\description{Plots the structure of specified path found by pathCluster.}

\usage{
plotPathClusterPath(paths,obj,m,tol = NULL)
}
\arguments{
\item{paths}{The training paths computed by \code{\link{pathsToBinary}}}
\item{obj}{The pathCluster \code{\link{pathCluster}}.}
\item{m}{The path to view.}
\item{tol}{A tolerance for 3M parameter \code{theta} which is the probability for each edge within each cluster.  If the tolerance is set all edges with a \code{theta} below that tolerance will be removed from the plot.}
}
\details{
Produces a plot of the paths with the path probabilities and cluster membership probabilities.
\tabular{ll}{
\code{Center Plot} \tab An image of all pathway the training dataset.  Rows are the pathways and columns are the genes included within each pathway.  Each gene is annotated by the substrate compound, reaction, product compound and KEGG pathway map within which it was observed.  A colour within image indicates if a particular gene is included within a specific pathway.  Blue colour flags paths that belong to the current 3M component (P > 0.5). \cr

\code{Right} \tab The training set posterior probabilities for each path belonging to the current 3M component. \cr

\code{Top Bar Plots}: \tab \code{Theta}: The 3M component probabilities - indicates the importance of each edge is to a pathway.
}
}
\seealso{
\code{\link{pathCluster}} 
}

