\name{plotPathRanker}
\alias{plotPathRanker}
\title{Summary Plots for pathRanker.}
\description{Summary Plots for pathRanker.}

\usage{
plotPathRanker(PRpaths,tol = NULL)
}
\arguments{
\item{PRpaths}{The result from \code{\link{pathRanker}}.}
\item{tol}{A percent tolerance for each gene.  If a gene is included in under \code{tol} percent of all paths it is removed from the plot.}
}
\details{
 Displays all K paths sorted by probability of each path.
  \tabular{ll}{
    \code{Center} \tab An image of the training pathway dataset.  Rows are the pathways and columns are the genes included within each pathway.  Each gene is annotated by the substrate compound, reaction, product compound and KEGG pathway map within which it was observed.  A colour within image indicates if a particular gene is included within a specific pathway. \cr
    
    \code{Left} \tab The probability of each path.  This is computed as a product of ECDF edge weights along the pathway.  See \code{\link{pathRanker}} for description of the ECDF probabilities. \cr

    \code{Bottom} \tab A bar plot indicating the overall probability that a gene belongs to a pathway over all experimental conditions.
  }
}
\seealso{
\code{\link{pathRanker}}
}
