\name{predictPathClassifier}
\alias{predictPathClassifier}
\title{Predicts new paths given a pathClassifier model.}
\description{Prediction function for a pathClassifier model.}

\usage{
predictPathClassifier(mix,newdata)
}
\arguments{
\item{mix}{The result from \code{\link{pathClassifier}}.}
\item{newdata}{A data.frame containing the new paths to be classified.}
}
\details{
A with the following elements:
\tabular{ll}{
\code{h} \tab The posterior probabilities for each HME3M component. \cr
\code{posterior.probs} \tab The posterior probabilities for HME3M model to classify the response. \cr
\code{label} \tab A vector indicating the HME3M cluster membership. \cr
\code{component} \tab The HME3M component membership for each pathway. \cr
\code{path.probabilities} \tab The 3M path probabilities. \cr
\code{plr.probabilities} \tab The PLR predictions for each component. 
}
}
\seealso{
\code{\link{pathClassifier}}
}
